Package org.apache.sling.scripting.sightly.impl.engine

# Class ExtensionRegistryService

java.lang.Object
org.apache.sling.scripting.sightly.impl.engine.ExtensionRegistryService

public class ExtensionRegistryService extends Object
Aggregator for all runtime extensions.

## Constructor Summary

Constructors
Constructor
Description
`ExtensionRegistryService()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`bindExtensionService(org.osgi.framework.ServiceReference<org.apache.sling.scripting.sightly.extension.RuntimeExtension> serviceReference, org.apache.sling.scripting.sightly.extension.RuntimeExtension runtimeExtension)`
`Map<String,org.apache.sling.scripting.sightly.extension.RuntimeExtension>`
`extensions()`
`protected void`
`unbindExtensionService(org.osgi.framework.ServiceReference<org.apache.sling.scripting.sightly.extension.RuntimeExtension> serviceReference)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtensionRegistryService

public ExtensionRegistryService()

## Method Details

### extensions

public Map<String,org.apache.sling.scripting.sightly.extension.RuntimeExtension> extensions()

### bindExtensionService

protected void bindExtensionService(org.osgi.framework.ServiceReference<org.apache.sling.scripting.sightly.extension.RuntimeExtension> serviceReference, org.apache.sling.scripting.sightly.extension.RuntimeExtension runtimeExtension)

### unbindExtensionService

protected void unbindExtensionService(org.osgi.framework.ServiceReference<org.apache.sling.scripting.sightly.extension.RuntimeExtension> serviceReference)